# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TProgressUpdateResp

Packages that use TProgressUpdateResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TProgressUpdateResp in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TProgressUpdateResp
Modifier and Type
Class
Description
`class`
`TProgressUpdateResp`
`class`
`TProgressUpdateResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TProgressUpdateResp
Modifier and Type
Field
Description
`TProgressUpdateResp`
TGetOperationStatusResp.`progressUpdateResponse`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TProgressUpdateResp
Modifier and Type
Method
Description
`TProgressUpdateResp`
TProgressUpdateResp.`deepCopy()`
`TProgressUpdateResp`
TGetOperationStatusResp.`getProgressUpdateResponse()`
`TProgressUpdateResp`
TProgressUpdateResp.`setFooterSummary(String footerSummary)`
`TProgressUpdateResp`
TProgressUpdateResp.`setHeaderNames(List<String> headerNames)`
`TProgressUpdateResp`
TProgressUpdateResp.`setProgressedPercentage(double progressedPercentage)`
`TProgressUpdateResp`
TProgressUpdateResp.`setRows(List<List<String>> rows)`
`TProgressUpdateResp`
TProgressUpdateResp.`setStartTime(long startTime)`
`TProgressUpdateResp`
TProgressUpdateResp.`setStatus(TJobExecutionStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TProgressUpdateResp
Modifier and Type
Method
Description
`int`
TProgressUpdateResp.`compareTo(TProgressUpdateResp other)`
`boolean`
TProgressUpdateResp.`equals(TProgressUpdateResp that)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setProgressUpdateResponse(TProgressUpdateResp progressUpdateResponse)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TProgressUpdateResp
Modifier
Constructor
Description
``
`TProgressUpdateResp(TProgressUpdateResp other)`
Performs a deep copy on other.